import { redirect } from "next/navigation"

import { overview } from "@/constants/routes/myPages"
import { getProfileSafely } from "@/lib/trpc/memoizedRequests"

import SignupForm from "@/components/Forms/Signup"
import { getLang } from "@/i18n/serverContext"

import { SignupFormWrapperProps } from "@/types/components/blocks/dynamicContent"

export default async function SignupFormWrapper({
  dynamic_content,
}: SignupFormWrapperProps) {
  const user = await getProfileSafely()
  if (user) {
    // We don't want to allow users to access signup if they are already authenticated.
    redirect(overview[getLang()])
  }
  return <SignupForm {...dynamic_content} />
}
